## mage 0.1

=== debian/changelog ===
mage (0.1) buster; urgency=medium

  * Initial release

 -- Simon Long <simon@raspberrypi.com>  Thu, 09 Apr 2020 11:12:13 +0100
