## mage 0.3

=== debian/changelog ===
mage (0.3) bullseye; urgency=medium

  * Remove offset parameter

 -- Simon Long <simon@raspberrypi.com>  Fri, 11 Jun 2021 10:26:05 +0100

mage (0.2) bullseye; urgency=medium

  * Add compatibility with mutter

 -- Simon Long <simon@raspberrypi.com>  Tue, 08 Jun 2021 12:19:40 +0100
