## mage 1.15.0%2Bds

=== debian/changelog ===
mage (1.15.0+ds-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 13 Feb 2025 20:58:59 +0100

mage (1.15.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1093302)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 17 Jan 2025 16:45:14 +0100
