## mage 1.15.0+ds

=== debian/control ===
Source: mage
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 help2man <!nodoc>,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/mage
Vcs-Git: https://salsa.debian.org/go-team/packages/mage.git
Homepage: https://github.com/magefile/mage
XS-Go-Import-Path: github.com/magefile/mage

Package: mage
Section: devel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Make/rake-like dev tool using Go (program)
 Mage is a make-like build tool using Go.  You write plain-old go
 functions, and Mage automatically uses them as Makefile-like runnable
 targets.
 .
 Makefiles are hard to read and hard to write.  Mostly because makefiles
 are essentially fancy bash scripts with significant white space and
 additional make-related syntax.
 .
 Mage lets you have multiple magefiles, name your magefiles whatever you
 want, and they're easy to customize for multiple operating systems.
 Mage has no dependencies (aside from go) and runs just fine on all major
 operating systems, whereas make generally uses bash which is not well
 supported on Windows. Go is superior to bash for any non-trivial task
 involving branching, looping, anything that's not just straight line
 execution of commands.  And if your project is written in Go, why
 introduce another language as idiosyncratic as bash?  Why not use the
 language your contributors are already comfortable with?
 .
 This package contains the 'mage' command-line tool.

Package: golang-github-magefile-mage-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Make/rake-like dev tool using Go (library)
 Mage is a make-like build tool using Go.  You write plain-old go
 functions, and Mage automatically uses them as Makefile-like runnable
 targets.
 .
 This package contains the Go development library.
